TrainerFactory.TrainerType (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.ml

## Enum TrainerFactory.TrainerType

- java.lang.Object
- - java.lang.Enum<TrainerFactory.TrainerType>
  - - opennlp.tools.ml.TrainerFactory.TrainerType

- All Implemented Interfaces:
    Serializable, Comparable<TrainerFactory.TrainerType>
  Enclosing class:
    TrainerFactory

      public static enum TrainerFactory.TrainerType
      extends Enum<TrainerFactory.TrainerType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EVENT_MODEL_SEQUENCE_TRAINER`
    `EVENT_MODEL_TRAINER`
    `SEQUENCE_TRAINER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TrainerFactory.TrainerType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TrainerFactory.TrainerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EVENT_MODEL_TRAINER

          public static final TrainerFactory.TrainerType EVENT_MODEL_TRAINER

    - #### EVENT_MODEL_SEQUENCE_TRAINER

          public static final TrainerFactory.TrainerType EVENT_MODEL_SEQUENCE_TRAINER

    - #### SEQUENCE_TRAINER

          public static final TrainerFactory.TrainerType SEQUENCE_TRAINER

  - ### Method Detail

    - #### values

          public static TrainerFactory.TrainerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrainerFactory.TrainerType c : TrainerFactory.TrainerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrainerFactory.TrainerType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2026 The Apache Software Foundation. All rights reserved.